Skip to main content
POST
/
api
/
v1
/
routing-rules
/
resolve
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/routing-rules/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "cardBin": "<string>",
  "installmentCount": 123,
  "amount": 123,
  "currency": "<string>",
  "cardBrand": "Bonus",
  "cardType": "Credit"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": [
    {
      "extraPropertiesDict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "priority": 123,
      "cardBin": "<string>",
      "cardBinEnd": "<string>",
      "installmentCount": 123,
      "minAmount": 123,
      "maxAmount": 123,
      "targetConnectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "targetConnectorConfigName": "<string>",
      "fallbackConnectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fallbackConnectorConfigName": "<string>",
      "isActive": true,
      "created": "2023-11-07T05:31:56Z",
      "lastModified": "2023-11-07T05:31:56Z",
      "weight": 123,
      "successRate": 123,
      "averageResponseTimeMs": 123,
      "costScore": 123,
      "dailyTransactionLimit": 123,
      "dailyTransactionCount": 123,
      "compositeScore": 123,
      "currency": "<string>",
      "cardBrandFilter": "Bonus",
      "cardTypeFilter": "Credit"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

cardBin
string | null
installmentCount
integer<int32>
amount
integer<int64>
currency
string | null
cardBrand
enum<integer>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other
cardType
enum<integer>
Available options:
Credit,
Debit,
Prepaid

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object[] | null